Index: uspace/drv/bus/usb/xhci/endpoint.h
===================================================================
--- uspace/drv/bus/usb/xhci/endpoint.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/drv/bus/usb/xhci/endpoint.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -76,5 +76,8 @@
 	xhci_trb_ring_t ring;
 
-	/** Primary stream context data array (or NULL if endpoint doesn't use streams). */
+	/**
+	 * Primary stream context data array
+	 * (or NULL if endpoint doesn't use streams).
+	 */
 	xhci_stream_data_t *primary_stream_data_array;
 
@@ -83,5 +86,5 @@
 	dma_buffer_t primary_stream_ctx_dma;
 
-	/** Size of the allocated primary stream data array (and context array). */
+	/** Size of the allocated primary stream data and context array. */
 	uint16_t primary_stream_data_size;
 
@@ -89,14 +92,26 @@
 	uint32_t max_streams;
 
-	/** Maximum number of consecutive USB transactions (0-15) that should be executed per scheduling opportunity */
+	/**
+	 * Maximum number of consecutive USB transactions (0-15) that
+	 * should be executed per scheduling opportunity
+	 */
 	uint8_t max_burst;
 
-	/** Maximum number of bursts within an interval that this endpoint supports */
+	/**
+	 * Maximum number of bursts within an interval that
+	 * this endpoint supports
+	 */
 	uint8_t mult;
 
-	/** Scheduling interval for periodic endpoints, as a number of 125us units. (0 - 2^16) */
+	/**
+	 * Scheduling interval for periodic endpoints,
+	 * as a number of 125us units. (0 - 2^16)
+	 */
 	uint32_t interval;
 
-	/** This field is a valid pointer for (and only for) isochronous transfers. */
+	/**
+	 * This field is a valid pointer for (and only for) isochronous
+	 * endpoints.
+	 */
 	xhci_isoch_t isoch [0];
 } xhci_endpoint_t;
@@ -111,5 +126,6 @@
 extern int xhci_endpoint_type(xhci_endpoint_t *ep);
 
-extern endpoint_t *xhci_endpoint_create(device_t *, const usb_endpoint_descriptors_t *);
+extern endpoint_t *xhci_endpoint_create(device_t *,
+    const usb_endpoint_descriptors_t *);
 extern errno_t xhci_endpoint_register(endpoint_t *);
 extern void xhci_endpoint_unregister(endpoint_t *);
@@ -122,5 +138,5 @@
 extern errno_t xhci_endpoint_clear_halt(xhci_endpoint_t *, unsigned);
 
-static inline xhci_endpoint_t * xhci_endpoint_get(endpoint_t *ep)
+static inline xhci_endpoint_t *xhci_endpoint_get(endpoint_t *ep)
 {
 	assert(ep);
@@ -128,5 +144,5 @@
 }
 
-static inline xhci_device_t * xhci_ep_to_dev(xhci_endpoint_t *ep)
+static inline xhci_device_t *xhci_ep_to_dev(xhci_endpoint_t *ep)
 {
 	assert(ep);
Index: uspace/drv/bus/usb/xhci/hc.h
===================================================================
--- uspace/drv/bus/usb/xhci/hc.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/drv/bus/usb/xhci/hc.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -95,7 +95,7 @@
 	bool ac64;
 	bool csz;
-	uint64_t wrap_time;		/** The last time when mfindex wrap happened */
-	uint64_t wrap_count;	/** Amount of mfindex wraps HC has done */
-	unsigned ist;			/**< IST in microframes */
+	uint64_t wrap_time;	/**< The last time when mfindex wrap happened */
+	uint64_t wrap_count;	/**< Amount of mfindex wraps HC has done */
+	unsigned ist;		/**< IST in microframes */
 
 	/** Port speed mapping */
Index: uspace/drv/bus/usb/xhci/hw_struct/context.h
===================================================================
--- uspace/drv/bus/usb/xhci/hw_struct/context.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/drv/bus/usb/xhci/hw_struct/context.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -179,5 +179,6 @@
 #define XHCI_CTX_SIZE_SMALL 32
 #define XHCI_ONE_CTX_SIZE(hc) (XHCI_CTX_SIZE_SMALL << hc->csz)
-#define XHCI_GET_CTX_FIELD(type, ctx, hc, ci) (xhci_##type##_ctx_to_charptr(ctx) + (ci) * XHCI_ONE_CTX_SIZE(hc))
+#define XHCI_GET_CTX_FIELD(type, ctx, hc, ci) \
+    (xhci_##type##_ctx_to_charptr(ctx) + (ci) * XHCI_ONE_CTX_SIZE(hc))
 
 /**
@@ -185,6 +186,8 @@
  */
 #define XHCI_DEVICE_CTX_SIZE(hc) ((1 + XHCI_EP_COUNT) * XHCI_ONE_CTX_SIZE(hc))
-#define XHCI_GET_EP_CTX(dev_ctx, hc, dci) ((xhci_ep_ctx_t *)   XHCI_GET_CTX_FIELD(device, (dev_ctx), (hc), (dci)))
-#define XHCI_GET_SLOT_CTX(dev_ctx, hc)    ((xhci_slot_ctx_t *) XHCI_GET_CTX_FIELD(device, (dev_ctx), (hc), 0))
+#define XHCI_GET_EP_CTX(dev_ctx, hc, dci) \
+    ((xhci_ep_ctx_t *)   XHCI_GET_CTX_FIELD(device, (dev_ctx), (hc), (dci)))
+#define XHCI_GET_SLOT_CTX(dev_ctx, hc) \
+    ((xhci_slot_ctx_t *) XHCI_GET_CTX_FIELD(device, (dev_ctx), (hc), 0))
 
 /**
@@ -210,8 +213,8 @@
 typedef struct xhci_stream_ctx {
 	uint64_t data [2];
-#define XHCI_STREAM_DCS(ctx)       XHCI_QWORD_EXTRACT((ctx).data[0],  0, 0)
-#define XHCI_STREAM_SCT(ctx)       XHCI_QWORD_EXTRACT((ctx).data[0],  3, 1)
-#define XHCI_STREAM_DEQ_PTR(ctx)   (XHCI_QWORD_EXTRACT((ctx).data[0], 63, 4) << 4)
-#define XHCI_STREAM_EDTLA(ctx)     XHCI_QWORD_EXTRACT((ctx).data[1], 24, 0)
+#define XHCI_STREAM_DCS(ctx)     XHCI_QWORD_EXTRACT((ctx).data[0],  0, 0)
+#define XHCI_STREAM_SCT(ctx)     XHCI_QWORD_EXTRACT((ctx).data[0],  3, 1)
+#define XHCI_STREAM_DEQ_PTR(ctx) (XHCI_QWORD_EXTRACT((ctx).data[0], 63, 4) << 4)
+#define XHCI_STREAM_EDTLA(ctx)   XHCI_QWORD_EXTRACT((ctx).data[1], 24, 0)
 
 #define XHCI_STREAM_SCT_SET(ctx, val) \
@@ -232,5 +235,5 @@
 	uint32_t data [8];
 #define XHCI_INPUT_CTRL_CTX_DROP(ctx, idx) \
-	XHCI_DWORD_EXTRACT((ctx).data[0], (idx), (idx))
+    XHCI_DWORD_EXTRACT((ctx).data[0], (idx), (idx))
 
 #define XHCI_INPUT_CTRL_CTX_DROP_SET(ctx, idx) (ctx).data[0] |= (1 << (idx))
@@ -238,12 +241,15 @@
 
 #define XHCI_INPUT_CTRL_CTX_ADD(ctx, idx) \
-	XHCI_DWORD_EXTRACT((ctx).data[1], (idx), (idx))
+    XHCI_DWORD_EXTRACT((ctx).data[1], (idx), (idx))
 
 #define XHCI_INPUT_CTRL_CTX_ADD_SET(ctx, idx) (ctx).data[1] |= (1 << (idx))
 #define XHCI_INPUT_CTRL_CTX_ADD_CLEAR(ctx, idx) (ctx).data[1] &= ~(1 << (idx))
 
-#define XHCI_INPUT_CTRL_CTX_CONFIG_VALUE(ctx)   XHCI_DWORD_EXTRACT((ctx).data[7],  7,  0)
-#define XHCI_INPUT_CTRL_CTX_IFACE_NUMBER(ctx)   XHCI_DWORD_EXTRACT((ctx).data[7], 15,  8)
-#define XHCI_INPUT_CTRL_CTX_ALTER_SETTING(ctx)  XHCI_DWORD_EXTRACT((ctx).data[7], 23, 16)
+#define XHCI_INPUT_CTRL_CTX_CONFIG_VALUE(ctx) \
+    XHCI_DWORD_EXTRACT((ctx).data[7],  7,  0)
+#define XHCI_INPUT_CTRL_CTX_IFACE_NUMBER(ctx) \
+    XHCI_DWORD_EXTRACT((ctx).data[7], 15,  8)
+#define XHCI_INPUT_CTRL_CTX_ALTER_SETTING(ctx) \
+    XHCI_DWORD_EXTRACT((ctx).data[7], 23, 16)
 } __attribute__((packed)) xhci_input_ctrl_ctx_t;
 
@@ -252,6 +258,8 @@
  */
 #define XHCI_INPUT_CTX_SIZE(hc) (XHCI_ONE_CTX_SIZE(hc) + XHCI_DEVICE_CTX_SIZE(hc))
-#define XHCI_GET_CTRL_CTX(ictx, hc)  ((xhci_input_ctrl_ctx_t *) XHCI_GET_CTX_FIELD(input, (ictx), (hc), 0))
-#define XHCI_GET_DEVICE_CTX(dev_ctx, hc) ((xhci_device_ctx_t *) XHCI_GET_CTX_FIELD(input, (ictx), (hc), 1))
+#define XHCI_GET_CTRL_CTX(ictx, hc) \
+    ((xhci_input_ctrl_ctx_t *) XHCI_GET_CTX_FIELD(input, (ictx), (hc), 0))
+#define XHCI_GET_DEVICE_CTX(dev_ctx, hc) \
+    ((xhci_device_ctx_t *) XHCI_GET_CTX_FIELD(input, (ictx), (hc), 1))
 
 typedef struct xhci_input_ctx {
Index: uspace/drv/bus/usb/xhci/hw_struct/trb.h
===================================================================
--- uspace/drv/bus/usb/xhci/hw_struct/trb.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/drv/bus/usb/xhci/hw_struct/trb.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -160,5 +160,6 @@
  * The Chain bit is valid only in specific TRB types.
  */
-static inline bool xhci_trb_is_chained(xhci_trb_t *trb) {
+static inline bool xhci_trb_is_chained(xhci_trb_t *trb)
+{
 	const int type = TRB_TYPE(*trb);
 	const bool chain_bit = XHCI_DWORD_EXTRACT(trb->control, 4, 4);
Index: uspace/drv/bus/usb/xhci/isoch.h
===================================================================
--- uspace/drv/bus/usb/xhci/isoch.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/drv/bus/usb/xhci/isoch.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -84,5 +84,8 @@
 	fibril_timer_t *reset_timer;
 
-	/** The maximum size of an isochronous transfer and therefore the size of buffers */
+	/**
+	 * The maximum size of an isochronous transfer
+	 * and therefore the size of buffers
+	 */
 	size_t max_size;
 
@@ -123,5 +126,6 @@
 extern errno_t isoch_schedule_out(xhci_transfer_t *);
 extern errno_t isoch_schedule_in(xhci_transfer_t *);
-extern void isoch_handle_transfer_event(xhci_hc_t *, xhci_endpoint_t *, xhci_trb_t *);
+extern void isoch_handle_transfer_event(xhci_hc_t *, xhci_endpoint_t *,
+    xhci_trb_t *);
 
 #endif
Index: uspace/drv/bus/usb/xhci/main.c
===================================================================
--- uspace/drv/bus/usb/xhci/main.c	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/drv/bus/usb/xhci/main.c	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -68,5 +68,6 @@
 }
 
-static errno_t hcd_irq_code_gen(irq_code_t *code, hc_device_t *hcd, const hw_res_list_parsed_t *hw_res, int *irq)
+static errno_t hcd_irq_code_gen(irq_code_t *code, hc_device_t *hcd,
+    const hw_res_list_parsed_t *hw_res, int *irq)
 {
 	xhci_hc_t *hc = hcd_to_hc(hcd);
Index: uspace/drv/bus/usb/xhci/streams.h
===================================================================
--- uspace/drv/bus/usb/xhci/streams.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/drv/bus/usb/xhci/streams.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -48,5 +48,8 @@
 	xhci_trb_ring_t ring;
 
-	/** Pointer to the array of secondary stream context data for primary data. */
+	/**
+	 * Pointer to the array of secondary stream context data for primary
+	 * data.
+	 */
 	xhci_stream_data_t *secondary_data;
 
@@ -61,12 +64,13 @@
 } xhci_stream_data_t;
 
-extern xhci_stream_data_t *xhci_get_stream_ctx_data(xhci_endpoint_t *ep, uint32_t stream_id);
-extern void xhci_stream_free_ds(xhci_endpoint_t *xhci_ep);
+extern xhci_stream_data_t *xhci_get_stream_ctx_data(xhci_endpoint_t *, uint32_t);
+extern void xhci_stream_free_ds(xhci_endpoint_t *);
 
-extern errno_t xhci_endpoint_remove_streams(xhci_hc_t *hc, xhci_device_t *dev, xhci_endpoint_t *xhci_ep);
-extern errno_t xhci_endpoint_request_primary_streams(xhci_hc_t *hc, xhci_device_t *dev,
-    xhci_endpoint_t *xhci_ep, unsigned count);
-extern errno_t xhci_endpoint_request_secondary_streams(xhci_hc_t *hc, xhci_device_t *dev,
-    xhci_endpoint_t *xhci_ep, unsigned *sizes, unsigned count);
+extern errno_t xhci_endpoint_remove_streams(xhci_hc_t *, xhci_device_t *,
+    xhci_endpoint_t *);
+extern errno_t xhci_endpoint_request_primary_streams(xhci_hc_t *,
+    xhci_device_t *, xhci_endpoint_t *, unsigned);
+extern errno_t xhci_endpoint_request_secondary_streams(xhci_hc_t *,
+    xhci_device_t *, xhci_endpoint_t *, unsigned *, unsigned);
 
 #endif
Index: uspace/drv/bus/usb/xhci/transfers.h
===================================================================
--- uspace/drv/bus/usb/xhci/transfers.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/drv/bus/usb/xhci/transfers.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -59,5 +59,6 @@
 extern void xhci_transfer_destroy(usb_transfer_batch_t *);
 
-static inline xhci_transfer_t *xhci_transfer_from_batch(usb_transfer_batch_t *batch)
+static inline xhci_transfer_t *xhci_transfer_from_batch(
+    usb_transfer_batch_t *batch)
 {
 	assert(batch);
Index: uspace/drv/bus/usb/xhci/trb_ring.h
===================================================================
--- uspace/drv/bus/usb/xhci/trb_ring.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/drv/bus/usb/xhci/trb_ring.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -57,17 +57,17 @@
  */
 typedef struct xhci_trb_ring {
-	list_t segments;                /* List of assigned segments */
-	int segment_count;              /* Number of segments assigned */
+	list_t segments;                /**< List of assigned segments */
+	int segment_count;              /**< Number of segments assigned */
 
-	/*
-	 * As the link TRBs connect physical addresses, we need to keep track of
-	 * active segment in virtual memory. The enqueue ptr should always belong
-	 * to the enqueue segment.
+	/**
+	 * As the link TRBs connect physical addresses, we need to keep track
+	 * of active segment in virtual memory. The enqueue ptr should always
+	 * belong to the enqueue segment.
 	 */
 	trb_segment_t *enqueue_segment;
 	xhci_trb_t *enqueue_trb;
 
-	uintptr_t dequeue;              /* Last reported position of the dequeue pointer */
-	bool pcs;                       /* Producer Cycle State: section 4.9.2 */
+	uintptr_t dequeue; /**< Last reported position of the dequeue pointer */
+	bool pcs;          /**< Producer Cycle State: section 4.9.2 */
 
 	fibril_mutex_t guard;
@@ -76,9 +76,11 @@
 extern errno_t xhci_trb_ring_init(xhci_trb_ring_t *, size_t);
 extern void xhci_trb_ring_fini(xhci_trb_ring_t *);
-extern errno_t xhci_trb_ring_enqueue(xhci_trb_ring_t *, xhci_trb_t *, uintptr_t *);
-extern errno_t xhci_trb_ring_enqueue_multiple(xhci_trb_ring_t *, xhci_trb_t *, size_t, uintptr_t *);
+extern errno_t xhci_trb_ring_enqueue(xhci_trb_ring_t *, xhci_trb_t *,
+    uintptr_t *);
+extern errno_t xhci_trb_ring_enqueue_multiple(xhci_trb_ring_t *, xhci_trb_t *,
+    size_t, uintptr_t *);
 extern size_t xhci_trb_ring_size(xhci_trb_ring_t *);
 
-extern void xhci_trb_ring_reset_dequeue_state(xhci_trb_ring_t *ring, uintptr_t *addr);
+extern void xhci_trb_ring_reset_dequeue_state(xhci_trb_ring_t *, uintptr_t *);
 
 /**
@@ -86,5 +88,6 @@
  * pointer inside the ring. Otherwise, the ring will soon show up as full.
  */
-static inline void xhci_trb_ring_update_dequeue(xhci_trb_ring_t *ring, uintptr_t phys)
+static inline void xhci_trb_ring_update_dequeue(xhci_trb_ring_t *ring,
+    uintptr_t phys)
 {
 	ring->dequeue = phys;
@@ -95,14 +98,14 @@
  */
 typedef struct xhci_event_ring {
-	list_t segments;                /* List of assigned segments */
-	int segment_count;              /* Number of segments assigned */
+	list_t segments;                /**< List of assigned segments */
+	int segment_count;              /**< Number of segments assigned */
 
-	trb_segment_t *dequeue_segment; /* Current segment of the dequeue ptr */
-	xhci_trb_t *dequeue_trb;        /* Next TRB to be processed */
-	uintptr_t dequeue_ptr;          /* Physical address of the ERDP to be reported to the HC */
+	trb_segment_t *dequeue_segment; /**< Current segment */
+	xhci_trb_t *dequeue_trb;        /**< Next TRB to be processed */
+	uintptr_t dequeue_ptr;  /**< Physical ERDP to be reported to the HC */
 
-	dma_buffer_t erst;              /* ERST given to the HC */
+	dma_buffer_t erst;      /**< ERST given to the HC */
 
-	bool ccs;                       /* Consumer Cycle State: section 4.9.2 */
+	bool ccs;               /**< Consumer Cycle State: section 4.9.2 */
 
 	fibril_mutex_t guard;
Index: uspace/lib/drv/generic/remote_usb.c
===================================================================
--- uspace/lib/drv/generic/remote_usb.c	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/drv/generic/remote_usb.c	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -52,5 +52,6 @@
 usb_dev_session_t *usb_dev_connect_to_self(ddf_dev_t *dev)
 {
-	return devman_parent_device_connect(ddf_dev_get_handle(dev), IPC_FLAG_BLOCKING);
+	return devman_parent_device_connect(ddf_dev_get_handle(dev),
+	    IPC_FLAG_BLOCKING);
 }
 
@@ -90,5 +91,6 @@
 }
 
-static void remote_usb_get_my_description(ddf_fun_t *, void *, ipc_callid_t, ipc_call_t *);
+static void remote_usb_get_my_description(ddf_fun_t *, void *,
+    ipc_callid_t, ipc_call_t *);
 
 /** Remote USB interface operations. */
Index: uspace/lib/drv/generic/remote_usbdiag.c
===================================================================
--- uspace/lib/drv/generic/remote_usbdiag.c	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/drv/generic/remote_usbdiag.c	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -58,5 +58,6 @@
 }
 
-errno_t usbdiag_test_in(async_exch_t *exch, const usbdiag_test_params_t *params, usbdiag_test_results_t *results)
+errno_t usbdiag_test_in(async_exch_t *exch,
+    const usbdiag_test_params_t *params, usbdiag_test_results_t *results)
 {
 	if (!exch)
@@ -64,14 +65,17 @@
 
 	ipc_call_t answer;
-	aid_t req = async_send_1(exch, DEV_IFACE_ID(USBDIAG_DEV_IFACE), IPC_M_USBDIAG_TEST_IN, &answer);
-
-	errno_t rc = async_data_write_start(exch, params, sizeof(usbdiag_test_params_t));
-	if (rc != EOK) {
-		async_exchange_end(exch);
-		async_forget(req);
-		return rc;
-	}
-
-	rc = async_data_read_start(exch, results, sizeof(usbdiag_test_results_t));
+	aid_t req = async_send_1(exch, DEV_IFACE_ID(USBDIAG_DEV_IFACE),
+	    IPC_M_USBDIAG_TEST_IN, &answer);
+
+	errno_t rc = async_data_write_start(exch, params,
+	    sizeof(usbdiag_test_params_t));
+	if (rc != EOK) {
+		async_exchange_end(exch);
+		async_forget(req);
+		return rc;
+	}
+
+	rc = async_data_read_start(exch, results,
+	    sizeof(usbdiag_test_results_t));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -88,5 +92,6 @@
 }
 
-errno_t usbdiag_test_out(async_exch_t *exch, const usbdiag_test_params_t *params, usbdiag_test_results_t *results)
+errno_t usbdiag_test_out(async_exch_t *exch,
+    const usbdiag_test_params_t *params, usbdiag_test_results_t *results)
 {
 	if (!exch)
@@ -94,14 +99,17 @@
 
 	ipc_call_t answer;
-	aid_t req = async_send_1(exch, DEV_IFACE_ID(USBDIAG_DEV_IFACE), IPC_M_USBDIAG_TEST_OUT, &answer);
-
-	errno_t rc = async_data_write_start(exch, params, sizeof(usbdiag_test_params_t));
-	if (rc != EOK) {
-		async_exchange_end(exch);
-		async_forget(req);
-		return rc;
-	}
-
-	rc = async_data_read_start(exch, results, sizeof(usbdiag_test_results_t));
+	aid_t req = async_send_1(exch, DEV_IFACE_ID(USBDIAG_DEV_IFACE),
+	    IPC_M_USBDIAG_TEST_OUT, &answer);
+
+	errno_t rc = async_data_write_start(exch, params,
+	    sizeof(usbdiag_test_params_t));
+	if (rc != EOK) {
+		async_exchange_end(exch);
+		async_forget(req);
+		return rc;
+	}
+
+	rc = async_data_read_start(exch, results,
+	    sizeof(usbdiag_test_results_t));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -118,6 +126,8 @@
 }
 
-static void remote_usbdiag_test_in(ddf_fun_t *, void *, ipc_callid_t, ipc_call_t *);
-static void remote_usbdiag_test_out(ddf_fun_t *, void *, ipc_callid_t, ipc_call_t *);
+static void remote_usbdiag_test_in(ddf_fun_t *, void *,
+    ipc_callid_t, ipc_call_t *);
+static void remote_usbdiag_test_out(ddf_fun_t *, void *,
+    ipc_callid_t, ipc_call_t *);
 
 /** Remote USB diagnostic interface operations. */
@@ -133,5 +143,6 @@
 };
 
-void remote_usbdiag_test_in(ddf_fun_t *fun, void *iface, ipc_callid_t callid, ipc_call_t *call)
+void remote_usbdiag_test_in(ddf_fun_t *fun, void *iface,
+    ipc_callid_t callid, ipc_call_t *call)
 {
 	const usbdiag_iface_t *diag_iface = (usbdiag_iface_t *) iface;
@@ -158,5 +169,6 @@
 
 	usbdiag_test_results_t results;
-	const errno_t ret = !diag_iface->test_in ? ENOTSUP : diag_iface->test_in(fun, &params, &results);
+	const errno_t ret = !diag_iface->test_in ? ENOTSUP
+	    : diag_iface->test_in(fun, &params, &results);
 
 	if (ret != EOK) {
@@ -185,5 +197,6 @@
 }
 
-void remote_usbdiag_test_out(ddf_fun_t *fun, void *iface, ipc_callid_t callid, ipc_call_t *call)
+void remote_usbdiag_test_out(ddf_fun_t *fun, void *iface,
+    ipc_callid_t callid, ipc_call_t *call)
 {
 	const usbdiag_iface_t *diag_iface = (usbdiag_iface_t *) iface;
@@ -210,5 +223,6 @@
 
 	usbdiag_test_results_t results;
-	const errno_t ret = !diag_iface->test_out ? ENOTSUP : diag_iface->test_out(fun, &params, &results);
+	const errno_t ret = !diag_iface->test_out ? ENOTSUP
+	    : diag_iface->test_out(fun, &params, &results);
 
 	if (ret != EOK) {
Index: uspace/lib/drv/include/usb_iface.h
===================================================================
--- uspace/lib/drv/include/usb_iface.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/drv/include/usb_iface.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -46,9 +46,10 @@
 
 typedef struct {
-	usb_address_t address;		/** Current USB address */
-	uint8_t depth;			/** Depth in the hub hiearchy */
-	usb_speed_t speed;		/** Speed of the device */
-	devman_handle_t handle;		/** Handle to DDF function of the HC driver */
-	int iface;			/** Interface set by multi interface driver, -1 if none */
+	usb_address_t address;	/**< Current USB address */
+	uint8_t depth;		/**< Depth in the hub hiearchy */
+	usb_speed_t speed;	/**< Speed of the device */
+	devman_handle_t handle;	/**< Handle to DDF function of the HC driver */
+	/** Interface set by multi interface driver,  -1 if none */
+	int iface;
 } usb_device_desc_t;
 
Index: uspace/lib/drv/include/usbdiag_iface.h
===================================================================
--- uspace/lib/drv/include/usbdiag_iface.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/drv/include/usbdiag_iface.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -63,13 +63,17 @@
 
 async_sess_t *usbdiag_connect(devman_handle_t);
-void usbdiag_disconnect(async_sess_t*);
+void usbdiag_disconnect(async_sess_t *);
 
-errno_t usbdiag_test_in(async_exch_t*, const usbdiag_test_params_t *, usbdiag_test_results_t *);
-errno_t usbdiag_test_out(async_exch_t*, const usbdiag_test_params_t *, usbdiag_test_results_t *);
+errno_t usbdiag_test_in(async_exch_t *,
+    const usbdiag_test_params_t *, usbdiag_test_results_t *);
+errno_t usbdiag_test_out(async_exch_t*,
+    const usbdiag_test_params_t *, usbdiag_test_results_t *);
 
 /** USB diagnostic device communication interface. */
 typedef struct {
-	errno_t (*test_in)(ddf_fun_t*, const usbdiag_test_params_t *, usbdiag_test_results_t *);
-	errno_t (*test_out)(ddf_fun_t*, const usbdiag_test_params_t *, usbdiag_test_results_t *);
+	errno_t (*test_in)(ddf_fun_t *,
+	    const usbdiag_test_params_t *, usbdiag_test_results_t *);
+	errno_t (*test_out)(ddf_fun_t*,
+	    const usbdiag_test_params_t *, usbdiag_test_results_t *);
 } usbdiag_iface_t;
 
Index: uspace/lib/usb/include/usb/classes/hub.h
===================================================================
--- uspace/lib/usb/include/usb/classes/hub.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usb/include/usb/classes/hub.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -178,5 +178,5 @@
 	 */
 	uint8_t max_current;
-} __attribute__ ((packed)) usb_hub_descriptor_header_t;
+} __attribute__((packed)) usb_hub_descriptor_header_t;
 
 /** One bit for the device and one bit for every port */
@@ -187,63 +187,55 @@
  */
 typedef enum {
-    /** This request resets a value reported in the hub status. */
-    USB_HUB_REQ_TYPE_CLEAR_HUB_FEATURE = 0x20,
-    /** This request resets a value reported in the port status. */
-    USB_HUB_REQ_TYPE_CLEAR_PORT_FEATURE = 0x23,
-    /**
-     * This is an optional per-port diagnostic request that returns the bus
-     * state value, as sampled at the last EOF2 point.
-     */
-    USB_HUB_REQ_TYPE_GET_STATE = 0xA3,
-    /** This request returns the hub descriptor. */
-    USB_HUB_REQ_TYPE_GET_DESCRIPTOR = 0xA0,
-    /**
-     * This request returns the current hub status and the states that have
-     * changed since the previous acknowledgment.
-     */
-    USB_HUB_REQ_TYPE_GET_HUB_STATUS = 0xA0,
-    /**
-     * This request returns the current port status and the current value of the
-     * port status change bits.
-     */
-    USB_HUB_REQ_TYPE_GET_PORT_STATUS = 0xA3,
-    /** This request overwrites the hub descriptor. */
-    USB_HUB_REQ_TYPE_SET_DESCRIPTOR = 0x20,
-    /** This request sets a value reported in the hub status. */
-    USB_HUB_REQ_TYPE_SET_HUB_FEATURE = 0x20,
-    /**
-     * This request sets the value that the hub uses to determine the index
-     * into the Route String Index for the hub.
-     */
-    USB_HUB_REQ_TYPE_SET_HUB_DEPTH = 0x20,
-    /** This request sets a value reported in the port status. */
-    USB_HUB_REQ_TYPE_SET_PORT_FEATURE = 0x23,
+	/** This request resets a value reported in the hub status. */
+	USB_HUB_REQ_TYPE_CLEAR_HUB_FEATURE = 0x20,
+	/** This request resets a value reported in the port status. */
+	USB_HUB_REQ_TYPE_CLEAR_PORT_FEATURE = 0x23,
+	/**
+	 * This is an optional per-port diagnostic request that returns the bus
+	 * state value, as sampled at the last EOF2 point.
+	 */
+	USB_HUB_REQ_TYPE_GET_STATE = 0xA3,
+	/** This request returns the hub descriptor. */
+	USB_HUB_REQ_TYPE_GET_DESCRIPTOR = 0xA0,
+	/**
+	 * This request returns the current hub status and the states that have
+	 * changed since the previous acknowledgment.
+	 */
+	USB_HUB_REQ_TYPE_GET_HUB_STATUS = 0xA0,
+	/**
+	 * This request returns the current port status and the current value of the
+	 * port status change bits.
+	 */
+	USB_HUB_REQ_TYPE_GET_PORT_STATUS = 0xA3,
+	/** This request overwrites the hub descriptor. */
+	USB_HUB_REQ_TYPE_SET_DESCRIPTOR = 0x20,
+	/** This request sets a value reported in the hub status. */
+	USB_HUB_REQ_TYPE_SET_HUB_FEATURE = 0x20,
+	/**
+	 * This request sets the value that the hub uses to determine the index
+	 * into the Route String Index for the hub.
+	 */
+	USB_HUB_REQ_TYPE_SET_HUB_DEPTH = 0x20,
+	/** This request sets a value reported in the port status. */
+	USB_HUB_REQ_TYPE_SET_PORT_FEATURE = 0x23,
 } usb_hub_bm_request_type_t;
 
-/** @brief hub class request codes*/
-/// \TODO these are duplicit to standart descriptors
+/**
+ * @brief hub class request codes
+ */
 typedef enum {
-    /**  */
-    USB_HUB_REQUEST_GET_STATUS = 0,
-    /** */
-    USB_HUB_REQUEST_CLEAR_FEATURE = 1,
-    /** USB 1.0 only */
-    USB_HUB_REQUEST_GET_STATE = 2,
-    /** */
-    USB_HUB_REQUEST_SET_FEATURE = 3,
-    /** */
-    USB_HUB_REQUEST_GET_DESCRIPTOR = 6,
-    /** */
-    USB_HUB_REQUEST_SET_DESCRIPTOR = 7,
-    /** */
-    USB_HUB_REQUEST_CLEAR_TT_BUFFER = 8,
-    /** */
-    USB_HUB_REQUEST_RESET_TT = 9,
-    /** */
-    USB_HUB_GET_TT_STATE = 10,
-    /** */
-    USB_HUB_STOP_TT = 11,
-    /** USB 3+ only */
-    USB_HUB_REQUEST_SET_HUB_DEPTH = 12,
+	USB_HUB_REQUEST_GET_STATUS = 0,
+	USB_HUB_REQUEST_CLEAR_FEATURE = 1,
+	/** USB 1.0 only */
+	USB_HUB_REQUEST_GET_STATE = 2,
+	USB_HUB_REQUEST_SET_FEATURE = 3,
+	USB_HUB_REQUEST_GET_DESCRIPTOR = 6,
+	USB_HUB_REQUEST_SET_DESCRIPTOR = 7,
+	USB_HUB_REQUEST_CLEAR_TT_BUFFER = 8,
+	USB_HUB_REQUEST_RESET_TT = 9,
+	USB_HUB_GET_TT_STATE = 10,
+	USB_HUB_STOP_TT = 11,
+	/** USB 3+ only */
+	USB_HUB_REQUEST_SET_HUB_DEPTH = 12,
 } usb_hub_request_t;
 
Index: uspace/lib/usb/include/usb/port.h
===================================================================
--- uspace/lib/usb/include/usb/port.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usb/include/usb/port.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -90,5 +90,6 @@
 
 /* And these are to be called from the connected handler. */
-int usb_port_condvar_wait_timeout(usb_port_t *port, fibril_condvar_t *, suseconds_t);
+int usb_port_condvar_wait_timeout(usb_port_t *port,
+    fibril_condvar_t *, suseconds_t);
 
 /**
Index: uspace/lib/usb/include/usb/usb.h
===================================================================
--- uspace/lib/usb/include/usb/usb.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usb/include/usb/usb.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -54,6 +54,6 @@
 #define uint32_usb2host(n) uint32_t_le2host((n))
 
-const char * usb_str_transfer_type(usb_transfer_type_t t);
-const char * usb_str_transfer_type_short(usb_transfer_type_t t);
+const char *usb_str_transfer_type(usb_transfer_type_t);
+const char *usb_str_transfer_type_short(usb_transfer_type_t);
 
 const char *usb_str_direction(usb_direction_t);
@@ -149,6 +149,5 @@
 static inline bool usb_target_same(usb_target_t a, usb_target_t b)
 {
-	return (a.address == b.address)
-	    && (a.endpoint == b.endpoint);
+	return (a.address == b.address) && (a.endpoint == b.endpoint);
 }
 
@@ -167,12 +166,12 @@
 	USB_PID_SETUP = _MAKE_PID(3, 1),
 
-	USB_PID_DATA0 = _MAKE_PID(0 ,3),
-	USB_PID_DATA1 = _MAKE_PID(2 ,3),
+	USB_PID_DATA0 = _MAKE_PID(0, 3),
+	USB_PID_DATA1 = _MAKE_PID(2, 3),
 
-	USB_PID_ACK = _MAKE_PID(0 ,2),
-	USB_PID_NAK = _MAKE_PID(2 ,2),
-	USB_PID_STALL = _MAKE_PID(3 ,2),
+	USB_PID_ACK = _MAKE_PID(0, 2),
+	USB_PID_NAK = _MAKE_PID(2, 2),
+	USB_PID_STALL = _MAKE_PID(3, 2),
 
-	USB_PID_PRE = _MAKE_PID(3 ,0),
+	USB_PID_PRE = _MAKE_PID(3, 0),
 	/* USB_PID_ = _MAKE_PID( ,), */
 #undef _MAKE_PID
Index: uspace/lib/usbdev/include/usb/dev/device.h
===================================================================
--- uspace/lib/usbdev/include/usb/dev/device.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbdev/include/usb/dev/device.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -59,5 +59,6 @@
 
 /* DDF parts */
-errno_t usb_device_create_ddf(ddf_dev_t *, const usb_endpoint_description_t **, const char **);
+errno_t usb_device_create_ddf(ddf_dev_t *,
+    const usb_endpoint_description_t **, const char **);
 void usb_device_destroy_ddf(ddf_dev_t *);
 
@@ -68,11 +69,11 @@
 }
 
-usb_device_t * usb_device_create(devman_handle_t);
+usb_device_t *usb_device_create(devman_handle_t);
 void usb_device_destroy(usb_device_t *);
 
-const char * usb_device_get_name(usb_device_t *);
+const char *usb_device_get_name(usb_device_t *);
 ddf_fun_t *usb_device_ddf_fun_create(usb_device_t *, fun_type_t, const char *);
 
-async_exch_t * usb_device_bus_exchange_begin(usb_device_t *);
+async_exch_t *usb_device_bus_exchange_begin(usb_device_t *);
 void usb_device_bus_exchange_end(async_exch_t *);
 
@@ -95,11 +96,11 @@
 devman_handle_t usb_device_get_devman_handle(const usb_device_t *);
 
-const usb_device_descriptors_t * usb_device_descriptors(usb_device_t *);
+const usb_device_descriptors_t *usb_device_descriptors(usb_device_t *);
 
-const usb_alternate_interfaces_t * usb_device_get_alternative_ifaces(
+const usb_alternate_interfaces_t *usb_device_get_alternative_ifaces(
     usb_device_t *);
 
-void * usb_device_data_alloc(usb_device_t *, size_t);
-void * usb_device_data_get(usb_device_t *);
+void *usb_device_data_alloc(usb_device_t *, size_t);
+void *usb_device_data_get(usb_device_t *);
 
 #endif
Index: uspace/lib/usbdev/include/usb/dev/pipes.h
===================================================================
--- uspace/lib/usbdev/include/usb/dev/pipes.h	(revision 36926786cdf31ca26201b1e160c68b3047be0430)
+++ uspace/lib/usbdev/include/usb/dev/pipes.h	(revision ae3a9413512275bb229f67ecbbb46ce1739a954a)
@@ -92,5 +92,6 @@
 	const usb_standard_endpoint_descriptor_t *descriptor;
 	/** Relevant superspeed companion descriptor. */
-	const usb_superspeed_endpoint_companion_descriptor_t *companion_descriptor;
+	const usb_superspeed_endpoint_companion_descriptor_t
+	    *companion_descriptor;
 	/** Interface descriptor the endpoint belongs to. */
 	const usb_standard_interface_descriptor_t *interface;
@@ -105,5 +106,7 @@
     size_t, const uint8_t *, size_t, usb_dev_session_t *);
 
-errno_t usb_pipe_register(usb_pipe_t *, const usb_standard_endpoint_descriptor_t *, const usb_superspeed_endpoint_companion_descriptor_t *);
+errno_t usb_pipe_register(usb_pipe_t *,
+    const usb_standard_endpoint_descriptor_t *,
+    const usb_superspeed_endpoint_companion_descriptor_t *);
 errno_t usb_pipe_unregister(usb_pipe_t *);
 
